#pragma once

#include "WOGUI.h"

namespace Aftr
{
   class Tex;
   //SLN THIS CLASS IS DEPRICATED AS OF 2 JUNE 2020... INSTEAD JUST USE A WOGuiTextureViewer with the depth
   //texture params. It has all the same functionality and better resizing behavior.

class WOGUIDepthMap : public WOGUI
{
public:
   static WOGUIDepthMap* New( WOGUI* parentWOGUI, float width, float height, Tex const& depthBufferTexture );
   virtual ~WOGUIDepthMap();
   void setNearPlaneForDepthTexture( float near );
   void setFarPlaneForDepthTexture( float far );
protected:
   WOGUIDepthMap( WOGUI* parentWOGUI );
   virtual void onCreate( WOGUI* parentWOGUI, float width, float height, Tex const& depthBufferTexture );
};

} //namespace Aftr

